Skip to main content
GET
/
api
/
agents
/
{agent_id}
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/agents/{agent_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/agents/{agent_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publishedRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "statistics": {
    "calls": 0
  },
  "name": "<string>",
  "callTemplate": {
    "name": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z",
    "medium": {
      "webRtc": {
        "dataMessages": {
          "pong": true,
          "state": true,
          "transcript": true,
          "clientToolInvocation": true,
          "dataConnectionToolInvocation": true,
          "playbackClearBuffer": true,
          "callStarted": true,
          "debug": true,
          "callEvent": true,
          "toolUsed": true,
          "userStartedSpeaking": true,
          "userStoppedSpeaking": true,
          "invokingTool": true
        }
      },
      "twilio": {
        "outgoing": {
          "to": "<string>",
          "from": "<string>",
          "additionalParams": {}
        },
        "dtmfHandling": {
          "ignore": true,
          "userTextMessage": {
            "text": "<string>"
          }
        }
      },
      "serverWebSocket": {
        "inputSampleRate": 123,
        "outputSampleRate": 123,
        "clientBufferSizeMs": 123,
        "dataMessages": {
          "pong": true,
          "state": true,
          "transcript": true,
          "clientToolInvocation": true,
          "dataConnectionToolInvocation": true,
          "playbackClearBuffer": true,
          "callStarted": true,
          "debug": true,
          "callEvent": true,
          "toolUsed": true,
          "userStartedSpeaking": true,
          "userStoppedSpeaking": true,
          "invokingTool": true
        },
        "mediaIdleTimeout": "<string>"
      },
      "telnyx": {
        "outgoing": {
          "to": "<string>",
          "from": "<string>",
          "additionalParams": {}
        },
        "dtmfHandling": {
          "ignore": true,
          "userTextMessage": {
            "text": "<string>"
          }
        }
      },
      "plivo": {
        "outgoing": {
          "to": "<string>",
          "from": "<string>",
          "additionalParams": {}
        },
        "dtmfHandling": {
          "ignore": true,
          "userTextMessage": {
            "text": "<string>"
          }
        }
      },
      "exotel": {
        "dtmfHandling": {
          "ignore": true,
          "userTextMessage": {
            "text": "<string>"
          }
        }
      },
      "sip": {
        "incoming": {},
        "outgoing": {
          "to": "<string>",
          "from": "<string>",
          "username": "<string>",
          "password": "<string>"
        }
      }
    },
    "joinTimeout": "<string>",
    "maxDuration": "<string>",
    "vadSettings": {
      "turnEndpointDelay": "<string>",
      "minimumTurnDuration": "<string>",
      "minimumInterruptionDuration": "<string>",
      "frameActivationThreshold": 123
    },
    "recordingEnabled": true,
    "firstSpeakerSettings": {
      "user": {
        "fallback": {
          "delay": "<string>",
          "text": "<string>",
          "prompt": "<string>"
        }
      },
      "agent": {
        "uninterruptible": true,
        "text": "<string>",
        "prompt": "<string>",
        "delay": "<string>"
      }
    },
    "systemPrompt": "<string>",
    "temperature": 123,
    "model": "<string>",
    "voice": "<string>",
    "externalVoice": {
      "elevenLabs": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "useSpeakerBoost": true,
        "style": 123,
        "similarityBoost": 123,
        "stability": 123,
        "pronunciationDictionaries": [
          {
            "dictionaryId": "<string>",
            "versionId": "<string>"
          }
        ],
        "optimizeStreamingLatency": 123,
        "maxSampleRate": 123,
        "enableSsmlParsing": true
      },
      "cartesia": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "emotion": "<string>",
        "emotions": [
          "<string>"
        ],
        "generationConfig": {
          "volume": 123,
          "speed": 123,
          "emotion": "<string>",
          "pronunciationDictId": "<string>"
        }
      },
      "lmnt": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "conversational": true
      },
      "google": {
        "voiceId": "<string>",
        "speakingRate": 123
      },
      "inworld": {
        "voiceId": "<string>",
        "modelId": "<string>",
        "speakingRate": 123,
        "temperature": 123,
        "applyTextNormalization": true
      },
      "respeecher": {
        "voiceId": "<string>",
        "model": "<string>",
        "seed": 123,
        "temperature": 123,
        "topK": 123,
        "topP": 123,
        "minP": 123,
        "presencePenalty": 123,
        "repetitionPenalty": 123,
        "frequencyPenalty": 123
      },
      "generic": {
        "url": "<string>",
        "headers": {},
        "body": {},
        "responseSampleRate": 123,
        "responseWordsPerMinute": 123,
        "responseMimeType": "<string>",
        "jsonAudioFieldPath": "<string>"
      }
    },
    "voiceOverrides": {
      "elevenLabs": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "useSpeakerBoost": true,
        "style": 123,
        "similarityBoost": 123,
        "stability": 123,
        "pronunciationDictionaries": [
          {
            "dictionaryId": "<string>",
            "versionId": "<string>"
          }
        ],
        "optimizeStreamingLatency": 123,
        "maxSampleRate": 123,
        "enableSsmlParsing": true
      },
      "cartesia": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "emotion": "<string>",
        "emotions": [
          "<string>"
        ],
        "generationConfig": {
          "volume": 123,
          "speed": 123,
          "emotion": "<string>",
          "pronunciationDictId": "<string>"
        }
      },
      "lmnt": {
        "voiceId": "<string>",
        "model": "<string>",
        "speed": 123,
        "conversational": true
      },
      "google": {
        "voiceId": "<string>",
        "speakingRate": 123
      },
      "inworld": {
        "voiceId": "<string>",
        "modelId": "<string>",
        "speakingRate": 123,
        "temperature": 123,
        "applyTextNormalization": true
      },
      "respeecher": {
        "voiceId": "<string>",
        "model": "<string>",
        "seed": 123,
        "temperature": 123,
        "topK": 123,
        "topP": 123,
        "minP": 123,
        "presencePenalty": 123,
        "repetitionPenalty": 123,
        "frequencyPenalty": 123
      },
      "generic": {
        "url": "<string>",
        "headers": {},
        "body": {},
        "responseSampleRate": 123,
        "responseWordsPerMinute": 123,
        "responseMimeType": "<string>",
        "jsonAudioFieldPath": "<string>"
      }
    },
    "languageHint": "<string>",
    "timeExceededMessage": "<string>",
    "inactivityMessages": [
      {
        "duration": "<string>",
        "message": "<string>"
      }
    ],
    "selectedTools": [
      {
        "toolId": "<string>",
        "toolName": "<string>",
        "temporaryTool": {
          "modelToolName": "<string>",
          "description": "<string>",
          "dynamicParameters": [
            {
              "name": "<string>",
              "schema": {},
              "required": true
            }
          ],
          "staticParameters": [
            {
              "name": "<string>",
              "value": "<unknown>"
            }
          ],
          "automaticParameters": [
            {
              "name": "<string>"
            }
          ],
          "requirements": {
            "httpSecurityOptions": {
              "options": [
                {
                  "requirements": {},
                  "ultravoxCallTokenRequirement": {
                    "scopes": [
                      "<string>"
                    ]
                  }
                }
              ]
            },
            "requiredParameterOverrides": [
              "<string>"
            ]
          },
          "timeout": "<string>",
          "precomputable": true,
          "http": {
            "baseUrlPattern": "<string>",
            "httpMethod": "<string>"
          },
          "client": {},
          "dataConnection": {},
          "staticResponse": {
            "responseText": "<string>"
          }
        },
        "nameOverride": "<string>",
        "descriptionOverride": "<string>",
        "authTokens": {},
        "parameterOverrides": {},
        "transitionId": "<string>"
      }
    ],
    "dataConnection": {
      "websocketUrl": "<string>",
      "audioConfig": {
        "sampleRate": 123
      },
      "dataMessages": {
        "pong": true,
        "state": true,
        "transcript": true,
        "clientToolInvocation": true,
        "dataConnectionToolInvocation": true,
        "playbackClearBuffer": true,
        "callStarted": true,
        "debug": true,
        "callEvent": true,
        "toolUsed": true,
        "userStartedSpeaking": true,
        "userStoppedSpeaking": true,
        "invokingTool": true
      },
      "headers": {}
    },
    "contextSchema": {},
    "sharedSecrets": [
      "<string>"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

agent_id
string<uuid>
required

Response

200 - application/json
agentId
string<uuid>
required
read-only
publishedRevisionId
string<uuid> | null
required
read-only
created
string<date-time>
required
read-only
statistics
object
required
name
string
Maximum string length: 64
callTemplate
object | null

A CallTemplate that can be used to create Ultravox calls with shared properties.